<?php
	class TipoEntidadeController extends TipoEntidadeModel {
		private $idUsuario;
		private $nome;
		private $nota;

		public function __construct($idUsuario, $nome, $nota){
			$this->idUsuario = $idUsuario;
			$this->nome = $nome;
			$this->nota = $nota;
		}

		public function createTipoEntidade(){
			$result = $this->insertTipoEntidade($this->idUsuario, $this->nome, $this->nota);
			return $result;
		}

		public function updateTipoEntidade($idTipoEntidade){
			$result = $this->editTipoEntidade($idTipoEntidade, $this->idUsuario, $this->nome, $this->nota);
			return $result;
		}

	}